Summary: Integer point manipulation library
Name: isl
Version: 0.19
License: MIT
Group: System Environment/Libraries
URL: http://isl.gforge.inria.fr/

%global libmajor 19
%global libversion %{libmajor}.1.0

# Please set buildid below when building a private version of this rpm to
# differentiate it from the stock rpm.
#
# % global buildid .local

#Release: 1%{?_dist_release}
Release: 10.14%{?_dist}1a

BuildRequires: gmp-devel
BuildRequires: pkgconfig

Source0: http://isl.gforge.inria.fr/isl-%{version}.tar.bz2

Vendor:       OSX WorkShop
Distribution: OSX WorkShop

%description
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%package devel
Summary: Development for building integer point manipulation library
Requires: isl%{?_isa} == %{version}-%{release}
Requires: gmp-devel%{?_isa}
Group: Development/Libraries

%description devel
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%prep
%setup -q

#glibtoolize -c -f
#aclocal
#automake
#autoconf

%build
%configure \
	--with-gmp-prefix=%{_prefix}

make %{?_smp_mflags} V=1

%install
%make_install INSTALL="install -p"
rm -f %{buildroot}/%{_libdir}/libisl.a
rm -f %{buildroot}/%{_libdir}/libisl.la
mkdir -p %{buildroot}/%{_datadir}
%global gdbprettydir %{_datadir}/gdb/auto-load/%{_libdir}
mkdir -p %{buildroot}/%{gdbprettydir}
mv %{buildroot}/%{_libdir}/*-gdb.py* %{buildroot}/%{gdbprettydir}

#%%check
#make check

%files
%{_libdir}/libisl.%{libmajor}.dylib
#%{_libdir}/libisl.%{libversion}.dylib
%{gdbprettydir}/*
%doc AUTHORS ChangeLog LICENSE README

%files devel
%{_includedir}/*
%{_libdir}/libisl.dylib
%{_libdir}/pkgconfig/isl.pc
%doc doc/manual.pdf


%changelog
* Mon Dec 24 2018 Keisuke Fujii <keisuke.fujii@kek.jp> - 0.19-10.14hepx1a
- OSXWS-10.14 built with MacOSX WS 10.13

* Mon Apr 02 2018 Keisuke Fujii <keisuke.fujii@kek.jp> - 0.19-10.13hepx1a
- new upstream release
- OSXWS-10.13

* Sat Dec 16 2017 KOBAYASHI Taizo <tkoba965@mac.org> - 0.18-1
- new upstream release
- modified for OSXWS-10.13

* Sat Dec 03 2016 KOBAYASHI Taizo <tkoba965@mac.org> - 0.17.1-1
- new upstream release
- modified for OSXWS-10.12

* Thu Dec 10 2015 KOBAYASHI Taizo <tkoba965@mac.org> - 0.15-1
- new upstream release
- modified for OSXWS-10.11

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 5 2015 David Howells <dhowells@redhat.com> - 0.14-3
- Initial packaging.
